package com.saye.hrs.service.system;

import com.saye.hrs.model.Users;

import java.util.HashMap;
import java.util.List;

public interface UsersService {
	/**
	 * 分页查询用户列表
	 * */
	public List<Users> searchUsers(HashMap<Object, Object> map);
	/**新增用户
	 * @throws Exception 
	 * */
	public void insertUser(HashMap<Object, Object> map) throws Exception;
	
	/**修改用户
	 * 
	 * */
	public int modifyUsers(HashMap<Object, Object> requestMap) throws Exception;
	
	/**user用户密码重置
	 * */
	public int reSetPassword(HashMap<Object, Object> requestMap)throws Exception;
	/**
	 * 修改状态 启用禁用
	 * */
	public int unableUser(HashMap<Object, Object> requestMap)throws Exception;
	/**新增用户名验证
	 * */
	public List<Users> searchByName(String userName);
	
	/**
	 * @description 修改密码
	 * @author thuang       
	 * @created 2019年11月28日 上午8:38:14
	 * @param username
	 * @param password
	 * @param modifyTime
	 */
	public void modifyPassword(String username, String password, String modifyTime)throws Exception;
	
	public void modifyLockTime(String username,String lockTime);

	/**
	 * @description: 导入人员
	 * @author thuang
	 * @date 2021/5/19 14:34
	 * @version 1.0
	 */
    void insertExcelUsers(List<HashMap<Object, Object>> list);

    /**
     * @description: 根据部门id查询用户
     * @author thuang
     * @date 2021/7/8 11:38
     * @version 1.0
     */
	List<HashMap<Object, Object>> findUserByDepartIds(List<String> idList) throws Exception;

}
